<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Squared
 * @since Squared 1.0
 */

get_header(); ?>
<div id="post">
<?php if( have_posts() ): ?>

<h1 class="archive-title"><?php
	if ( is_day() ) {
		printf( __( 'Daily Archives: %s', 'squared' ), '<span>' . get_the_date() . '</span>' );
	} elseif ( is_month() ) {
		printf( __( 'Monthly Archives: %s', 'squared' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'squared' ) ) . '</span>' );
	} elseif ( is_year() ) {
		printf( __( 'Yearly Archives: %s', 'squared' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'squared' ) ) . '</span>' );
	} elseif ( is_tag() ) {
		printf( __( 'Tag Archives: %s', 'squared' ), '<span>' . single_tag_title( '', false ) . '</span>' );
		// Show an optional tag description
		$tag_description = tag_description();
		if ( $tag_description )
			echo '<div class="tag-archive-meta">' . $tag_description . '</div>';
	} elseif ( is_category() ) {
		printf( __( 'Category: %s', 'squared' ), '<span>' . single_cat_title( '', false ) . '</span>' );
		// Show an optional category description
		$category_description = category_description();
		if ( $category_description )
			echo '<div class="category-archive-meta">' . $category_description . '</div>';
	} else {
		_e( 'Blog Archives', 'squared' );
	}
?></h1>

<?php while( have_posts() ): the_post(); ?>

<?php get_template_part('content',get_post_format()); ?>

<?php endwhile; ?>

		<?php squared_content_nav( 'nav-below' ); ?>
	
	<?php endif; // end have_posts() check ?>

	</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>