<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package WordPress
 * @subpackage Squared
 * @since Squared 1.0
 */
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <header>
      <h1><?php if( !is_single() ) echo "<a href=\"" . ( get_permalink() ) . "\">"; ?><?php the_title(); ?><?php if( !is_single() ) echo "</a>"; ?> 
        <?php if( !is_single() ): ?>
          <a class="badge-counter" href="<?php the_permalink(); ?>#comments"><?php comments_number( '0', '1', '%' ); ?></a>
        <?php endif; ?>
      </h1>
    </header>

    <?php if( has_post_thumbnail() ): ?>
    <div class="img-wrap">
      <ul class="actions">
        <li><a href="<?php the_permalink(); ?>"><i>L</i></a></li>
        <li><a class="view" title="<?php echo get_post_field('post_excerpt', get_post_thumbnail_id($post->ID)); ?>" href="<?php echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); ?>"><i>F</i></a></li>
      </ul><!--/.img-actions-->
      <a class="view" title="<?php echo get_post_field('post_excerpt', get_post_thumbnail_id($post->ID)); ?>" href="<?php echo wp_get_attachment_url( get_post_thumbnail_id($post->ID) ); ?>"><?php the_post_thumbnail('full-width'); ?></a>
    </div><!--/.img-wrap-->
    <?php endif; ?>

    <?php the_content( __('Continue Reading &rarr;','squared') ); ?>

    <?php wp_link_pages(); ?>

    <div class="post-meta">
      <span class="categories"><?php _e('Categories:','squared'); ?> <?php the_category(', '); ?></span>
      <?php if( get_the_tags() ) echo " &nbsp; &bull; &nbsp; "; ?>
      <span class="tags"><?php the_tags(); ?></span>
    </div><!--/.post-meta-->

    <div class="comments">
      <?php comments_template(); ?>
    </div><!--/.comments-->

</div><!--/.format-image-->
<hr>